# Class ExtractControlFromParentMixin

#### Hierarchy (view full)

- ExtractControlFromParentMixin
  - ControlHideShowDirective

- Defined in packages/angular/form-system/src/lib/mixins/extract-control-from-parent.mixin.ts:10

#####
Index

### Constructors

constructor

### Methods

extractControlFromParent

## Constructors

### constructor

- new ExtractControlFromParentMixin(): ExtractControlFromParentMixin

- #### Returns ExtractControlFromParentMixin

## Methods

### `Protected` extractControlFromParent

- extractControlFromParent(parent, controlPath): AbstractControl<any>

- #### Parameters

  - parent: ControlContainer
  - controlPath: string

  #### Returns AbstractControl<any>

  - Defined in packages/angular/form-system/src/lib/mixins/extract-control-from-parent.mixin.ts:12